require 'rails/generators'

class LayoutGenerator < Rails::Generators::NamedBase
  source_root File.expand_path('./layouts', File.dirname(__FILE__))
  
  desc "This generator creates layout files at public directory and app/views/layouts"
  def copy_layout_file
    layout_name = file_name
    empty_directory "public/#{layout_name}"
    directory "#{layout_name}/images", "public/#{layout_name}/images"
    copy_file "#{layout_name}/styles.css", "public/#{layout_name}/styles.css"
    copy_file "#{layout_name}/index.html", "public/#{layout_name}/index.html"
    copy_file "#{layout_name}/#{layout_name}.html.erb", "app/views/layouts/#{layout_name}.html.erb"
  end
end
